# Uses of Class
org.apache.sysds.runtime.controlprogram.federated.monitoring.models.StatisticsModel

Packages that use StatisticsModel
Package
Description
org.apache.sysds.runtime.controlprogram.federated.monitoring.services

## Uses of StatisticsModel in org.apache.sysds.runtime.controlprogram.federated.monitoring.services

Methods in org.apache.sysds.runtime.controlprogram.federated.monitoring.services that return StatisticsModel
Modifier and Type
Method
Description
`StatisticsModel`
StatisticsService.`getAll(Long workerId, StatisticsOptions options)`
`static StatisticsModel`
StatisticsService.`getWorkerStatistics(Long id, String address)`
Methods in org.apache.sysds.runtime.controlprogram.federated.monitoring.services with parameters of type StatisticsModel
Modifier and Type
Method
Description
`static void`
WorkerService.`syncWorkerStatisticsWithDB(StatisticsModel stats, Long id)`